import React from 'react';
import { PropsWithMetadata } from '@highlight-ui/utils-commons';
import { DragProps, Item } from '@highlight-ui/drag-and-drop';
import { ListItem, MenuVariants } from './types';
declare type NavAccessibilityProps = {
    'aria-label': React.AriaAttributes['aria-label'];
    'aria-labelledby': React.AriaAttributes['aria-labelledby'];
    'aria-describedby': React.AriaAttributes['aria-describedby'];
    tabIndex: React.HTMLAttributes<HTMLElement>['tabIndex'];
    role?: React.HTMLAttributes<HTMLElement>['role'];
};
/**
 * @deprecated the MenuProps type from `sandbox-menu` has been deprecated, please use the MenuProps type from `menu` instead
 */
export declare type MenuProps<D extends Item = Item> = PropsWithMetadata<{
    /** List of objects of generic type `T` extending `Item`, `Item` data structure can be found in Addtional types */
    items: ListItem[];
    /** Sets clicked item to the active and returns item */
    onClick: (item: ListItem) => void;
    /** See in Additional types  */
    dragProps?: DragProps<ListItem, D>;
    /** Applies anchor menu style */
    variant?: MenuVariants.DEFAULT | MenuVariants.ANCHOR;
    /** Sets accessibility props for the nav container */
    accessibilityProps?: NavAccessibilityProps;
    /** disable the option to have the  first item in the list active by default */
    disableAutoActiveFirstItem?: boolean;
}>;
declare const _default: React.ComponentType<{
    /** List of objects of generic type `T` extending `Item`, `Item` data structure can be found in Addtional types */
    items: ListItem[];
    /** Sets clicked item to the active and returns item */
    onClick: (item: ListItem) => void;
    /** See in Additional types  */
    dragProps?: DragProps<ListItem, Item> | undefined;
    /** Applies anchor menu style */
    variant?: MenuVariants | undefined;
    /** Sets accessibility props for the nav container */
    accessibilityProps?: NavAccessibilityProps | undefined;
    /** disable the option to have the  first item in the list active by default */
    disableAutoActiveFirstItem?: boolean | undefined;
} & {
    metadata?: import("@highlight-ui/utils-commons").ComponentMetadata | undefined;
}>;
/**
 * @deprecated `sandbox-menu` has been deprecated, please use `menu` instead
 */
export default _default;
